services:

    yankee-gnome-fire-linux:

        container_name: yankee-gnome-fire-linux

        image: softwareshinobi/shinobi-academy-desktop:latest

        restart: unless-stopped

        ports:

            - "127.0.0.1:5900:5900"

            - "127.0.0.1:5922:22"

            - "127.0.0.1:5980:80"
                    
        hostname: yankee

        volumes:

            - code:/yankee/code

            - downloads:/yankee/downloads

#            - code:/home/yankee/code
##            - code:/root/code

        environment:
        
            TZ: America/Bogota

##            USER_UID: 1000

##            USER_GID: 1000

            USER: yankee

            PASSWORD: yankee

volumes:

    code:

        driver_opts:

            type: "nfs"

            o: "addr=osiris.yankee.embanet.online,nolock,rw,hard,nfsvers=4"

            device: ":/Code"

    downloads:

        driver_opts:

            type: "nfs"

            o: "addr=osiris.yankee.embanet.online,nolock,rw,hard,nfsvers=4"

            device: ":/Downloads"
